Package twisted :: Package spread :: Module refpath :: Class PathViewContextDirectory

[frames | no frames]

## Class PathViewContextDirectory

    Jellyable --+
                |
     Serializable --+
                    |
             Viewable --+
                        |
                       PathViewContextDirectory

Method Summary
| `__init__(self, root, prefix)`
| `view_callPath(self, perspective, path, name, *args, **kw)`
Inherited from Viewable
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint` for me and the perspective of the given broker.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Generated by Epydoc 2.0 on Sat May 15 20:08:30 2004 | http://epydoc.sf.net